## quadkonsole4-0.4.4.tar.bz2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(quadkonsole4)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (FindKDE4Internal)

macro_optional_find_package(LibKonq)
macro_log_feature(LIBKONQ_FOUND "LibKonq" "Konqueror's context menu" "http://www.kde.org" FALSE "" "")
if (LIBKONQ_FOUND)
	add_definitions(-DHAVE_LIBKONQ)
endif()

if(CMAKE_BUILD_TYPE STREQUAL "debug")
	set(ENABLE_DEBUG "On")
endif()

option(ENABLE_DEBUG "Enable debugging code")
if(ENABLE_DEBUG)
	add_definitions(-DDEBUG)
	include_directories(${LIBKONQ_INCLUDE_DIR})
endif()

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(GetGitRevisionDescription)
git_describe(QUADKONSOLE4_VERSION)
if (NOT "${QUADKONSOLE4_VERSION}" STREQUAL HEAD-HASH-NOTFOUND)
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/src/version.h" @ONLY)
endif()

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( i18n )
add_subdirectory( desktop )

set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.git/;/.kdev4/;.*.kdev4;.*.swp")
set(CPACK_PACKAGE_VERSION_MAJOR ${QUADKONSOLE4_VERSION})
set(CPACK_SOURCE_PACKAGE_FILE_NAME "quadkonsole4-${QUADKONSOLE4_VERSION}")
include(CPack)

=== desktop/CMakeLists.txt ===
install(FILES quadkonsole4.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES quadkonsole4ui.rc DESTINATION ${DATA_INSTALL_DIR}/quadkonsole4)

install(FILES qkremote.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES qkremote_shell.rc DESTINATION ${DATA_INSTALL_DIR}/qkremote)


install(FILES qkremote_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES qkremote_part.rc DESTINATION  ${DATA_INSTALL_DIR}/qkremotepart)

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR quadkonsole4)

=== i18n/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
	NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	SET(catalogname quadkonsole4)
	ADD_CUSTOM_TARGET(translations ALL)
	FILE(GLOB PO_FILES *.po)
 
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
		STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
		STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
		IF( _langCode )
			GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
			SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
			ADD_CUSTOM_COMMAND(TARGET translations
				COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
				DEPENDS ${_poFile})
			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
		ENDIF( _langCode )
	ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
# quadkonsole4
set(quadkonsole4_SRCS
	qkapplication.cpp
	quadkonsole.cpp
	main.cpp
	mousemovefilter.cpp
	closedialog.cpp
	qkstack.cpp
	qkview.cpp
	prefsviews.cpp
	qkbrowseriface.cpp
	qkurlhandler.cpp
	qkhistory.cpp
)

kde4_add_ui_files(quadkonsole4_SRCS
	prefs_base.ui
	prefs_shutdown.ui
	prefs_views.ui
	detach_processes.ui
)

kde4_add_kcfg_files(quadkonsole4_SRCS
	settings.kcfgc
)

qt4_generate_dbus_interface(quadkonsole.h de.ccchl.quadkonsole4.QuadKonsole.xml OPTIONS -m -p)
qt4_generate_dbus_interface(qkapplication.h de.ccchl.quadkonsole4.QKApplication.xml OPTIONS -m -p)
qt4_add_dbus_adaptor(quadkonsole4_SRCS
	${CMAKE_CURRENT_BINARY_DIR}/de.ccchl.quadkonsole4.QuadKonsole.xml
	quadkonsole.h
	QuadKonsole
)
qt4_add_dbus_adaptor(quadkonsole4_SRCS
	${CMAKE_CURRENT_BINARY_DIR}/de.ccchl.quadkonsole4.QKApplication.xml
	qkapplication.h
	QKApplication
)

set(quadkonsole4_LIBS ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})
if (LIBKONQ_FOUND)
	set(quadkonsole4_LIBS ${quadkonsole4_LIBS} ${LIBKONQ_LIBRARY})
endif()

kde4_add_executable(quadkonsole4 ${quadkonsole4_SRCS})
target_link_libraries(quadkonsole4 ${quadkonsole4_LIBS})

install(TARGETS quadkonsole4 ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES quadkonsole4.kcfg DESTINATION ${KCFG_INSTALL_DIR})

# qkremote
set(qkremote_SRCS
	qkremotemain.cpp
	qkremote.cpp
	${quadkonsoleadaptor_SRCS}
)

kde4_add_executable(qkremote ${qkremote_SRCS})
target_link_libraries(qkremote ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS qkremote ${INSTALL_TARGETS_DEFAULT_ARGS})

# qkremotepart
set(qkremote_PART_SRCS
	qkremote_part.cpp
)

kde4_add_ui_files(qkremote_PART_SRCS
	qkremotewidget.ui
)

qt4_add_dbus_interface(qkremote_PART_SRCS
	${CMAKE_CURRENT_BINARY_DIR}/de.ccchl.quadkonsole4.QuadKonsole.xml
	quadkonsoleinterface
)
qt4_add_dbus_interface(qkremote_PART_SRCS
	${CMAKE_CURRENT_BINARY_DIR}/de.ccchl.quadkonsole4.QKApplication.xml
	qkapplicationinterface
)

kde4_add_plugin(qkremotepart ${qkremote_PART_SRCS})
target_link_libraries(qkremotepart ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS qkremotepart DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
quadkonsole4 (0.4.4-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Sun, 13 Nov 2011 12:39:58 +0100

quadkonsole4 (0.4.3-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Sat, 01 Oct 2011 10:39:05 +0200

quadkonsole4 (0.4.2-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Sat, 10 Sep 2011 20:14:26 +0200

quadkonsole4 (0.4.1-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Thu, 18 Aug 2011 20:14:26 +0200

quadkonsole4 (0.4-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Tue, 16 Aug 2011 20:14:26 +0200

quadkonsole4 (0.3-1) unstable; urgency=low

  * Version bump

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Mon,  1 Aug 2011 20:14:26 +0200

quadkonsole4 (0.2.1-1) unstable; urgency=low

  * Initial release

 -- Karsten Borgwaldt <kb@kb.ccchl.de>  Sun, 24 Apr 2011 09:18:51 +0200

=== debian/control ===
Source: quadkonsole4
Section: kde
Priority: extra
Maintainer: Karsten Borgwaldt <kb@kb.ccchl.de>
Build-Depends: debhelper (>= 7), cdbs, kdelibs5-dev (>= 4.0.0), libkonq5-dev (>= 4.0.0), cmake (>= 2.4), quilt, pkg-kde-tools
Standards-Version: 3.8.4
Homepage: http://kb.ccchl.de/quadkonsole4

Package: quadkonsole4
Architecture: amd64 i386
Depends: konsole (>= 4.0.0), ${shlibs:Depends}, ${misc:Depends}
Description: X terminal emulator
 QuadKonsole4 embeds Konsole KParts in a grid layout.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
